package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletRecordDayServe;
import com.pcloud.common.page.PageBeanNew;

/**
 * (AppletRecordDayServe)表服务接口
 *
 * @author makejava
 * @since 2020-12-09 16:04:08
 */
public interface AppletRecordDayServeBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletRecordDayServe getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletRecordDayServe 实例对象
     * @return 主键
     */
    Long insert(AppletRecordDayServe appletRecordDayServe);

    /**
     * 修改数据
     *
     * @param appletRecordDayServe 实例对象
     */
    void update(AppletRecordDayServe appletRecordDayServe);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

}